# Generated by Django 4.2.11 on 2024-03-25 16:23

from django.db import migrations, models
import iar.fields


class Migration(migrations.Migration):

    dependencies = [
        ('iar', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='asset',
            name='data_category',
            field=iar.fields.MultiSelectField(blank=True, choices=[('education', 'Education records'), ('alumni', 'Alumni records'), ('contact', 'Basic contact details'), ('employment', 'Employment records'), ('financial', 'Financial details'), ('social', 'Lifestyle and social circumstances'), ('visual', 'Visual images'), ('research', 'Research data'), ('medical', 'Medical records'), ('children', 'Personal data about children under 16'), ('racial', 'Racial or ethic origin'), ('political', 'Political opinions'), ('unions', 'Trade union membership'), ('religious', 'Religious or similar beliefs'), ('health', 'Physical or mental health details'), ('sexual', 'Sexual life and orientation'), ('genetic', 'Genetic information'), ('biometric', 'Biometric information'), ('criminal', 'Criminal proceedings, outcomes and sentences')], db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='data_subject',
            field=iar.fields.MultiSelectField(blank=True, choices=[('students', 'Students, applicants'), ('staff', 'Staff, job applicants'), ('alumni', 'Alumni, supporters'), ('research', 'Research participants'), ('patients', 'Patients'), ('supplier', 'Suppliers, professional advisers and consultants'), ('public', 'Members of public')], db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='digital_storage_security',
            field=iar.fields.MultiSelectField(blank=True, choices=[('pwd_controls', 'Password controls'), ('acl', 'Access control lists'), ('backup', 'Backup'), ('encryption', 'Encryption'), ('none', 'None of the above')], db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='paper_storage_security',
            field=iar.fields.MultiSelectField(blank=True, choices=[('locked_cabinet', 'Locked filing cabinet'), ('safe', 'Safe'), ('locked_room', 'Locked room'), ('locked_building', 'Locked building'), ('none', 'None of the above')], db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='personal_data',
            field=models.BooleanField(blank=True, db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='risk_type',
            field=iar.fields.MultiSelectField(blank=True, choices=[('financial', 'Financial'), ('operational', 'Operational'), ('compliance', 'Compliance'), ('reputational', 'Reputational'), ('safety', 'Personal Safety'), ('none', 'None of the above')], db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='asset',
            name='storage_format',
            field=iar.fields.MultiSelectField(blank=True, choices=[('digital', 'Digital'), ('paper', 'Paper')], db_index=True, null=True),
        ),
    ]
